Subject: Re: bug in bash with sergey's latest patches?
From: [email-masked] (Michael A. Chase)

3 Nov 1997 06:33:53 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="iso-8859-1"
Content-Transfer-Encoding: 7bit
To: "Nicholas Mitchell" <[email-masked]>, <[email-masked]>

It looks like your are getting a CR at the end of the output from
hostname.  To check my guess, try:

   echo "      '$HOST' "
   echo "      '$DISPLAY' "

If I'm right, you'll see something like

   '     'dulcea
  :0.0   'dulcea

I don't see the effect with Sergey's 971029 cygwin.dll.

Mac :})
-----Original Message-----
From: Nicholas Mitchell <[email-masked]>
To: [email-masked] <[email-masked]>
Date: Monday, October 13, 1997 18:40
Subject: bug in bash with sergey's latest patches?

>
>bash, with the Sergey's latest patches, seems to have a bug. From the
>command line, this works:
>
>     % export HOST=`hostname`
>     % printenv HOST
>           DULCEA                 # this is fine, notice all caps
>     % export DISPLAY=$HOST:0.0
>     % printenv DISPLAY
>           DULCEA:0.0
>
>but if I stick these two lines in my .bashrc
>         export HOST=`hostname`
>         export DISPLAY=$HOST:0.0
>
>I get this:
>     % printenv HOST
>           dulcea                 # fine, but notice lower case, now
>     % printenv DISPLAY
>           :0.0ea                 # oops!

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".